# -*- coding: utf-8 -*-


import logging

from idm.core.management.base import IdmBaseCommand
from idm.core.tasks.roles import CheckDeprivingRoles

log = logging.getLogger(__name__)


class Command(IdmBaseCommand):
    help = """Проверяем depriving_validation роли"""

    def idm_handle(self, *args, **options):
        CheckDeprivingRoles.delay()
        self.logger.info('Check depriving roles started')
